
function CreateGrants()
	CreateTazerTherapy3()
end

function CreateTazerTherapy3()
	Objective.CreateGrant			( "Grant_TazerTherapy3", 4000, 35000 )
	Objective.SetPreRequisite		( "Unlocked", "TazersForEveryone", 0 )
    Objective.HiddenWhileLocked     ()
		
	Objective.CreateGrant			( "Grant_TazerTherapy3_Research", 0, 0 )
	Objective.SetParent				( "Grant_TazerTherapy3" )
	Objective.Requires				( "Unlocked", "TortureCells", 0 )
	
	Objective.CreateGrant			( "Grant_TazerTherapy3_TazerTherapyRoom", 0, 0 )
	Objective.SetParent				( "Grant_TazerTherapy3" )
	Objective.RequireRoom			( "TazerTherapy3", true )
	
	Objective.CreateGrant			( "Grant_TazerTherapy3_TeslaNumber", 0, 0 )
	Objective.SetParent				( "Grant_TazerTherapy3" )
	Objective.RequireObjects		( "TeslaMatic3", 1 )
	
	Objective.CreateGrant			( "Grant_TazerTherapy3_ChairNumber", 0, 0 )
	Objective.SetParent				( "Grant_TazerTherapy3" )
	Objective.RequireObjects		( "Chair", 8 )
	
	Objective.CreateGrant			( "Grant_TazerTherapy3_ProgramPassed1", 0, 25000 )
	Objective.SetParent				( "Grant_TazerTherapy3" )
	Objective.Requires				( "ReformPassed", "VoluntaryTazerTherapy3", 2 )
	
	Objective.CreateGrant			( "Grant_TazerTherapy3_ProgramPassed2", 0, 25000 )
	Objective.SetParent				( "Grant_TazerTherapy3" )
	Objective.Requires				( "ReformPassed", "AntiAlcoholTazerTherapy3", 1 )
	
	Objective.CreateGrant			( "Grant_TazerTherapy3_ProgramPassed3", 0, 25000 )
	Objective.SetParent				( "Grant_TazerTherapy3" )
	Objective.Requires				( "ReformPassed", "AntiDrugsTazerTherapy3", 1 )
end
